QUOTAON(8)

NAME
quotaon, quotaoff - turn file system quotas on and off

SYNOPSIS
/usr/sbin/quotaon [ -v ] filesystem...

/usr/sbin/quotaon [ -av ]

/usr/sbin/quotaoff [ -v ] filesystem...

/usr/sbin/quotaoff [ -av ]

DESCRIPTION OF QUOTAON

quotaon announces to the system that disk quotas should be enabled on one or more file systems. The file systems specified must be mounted at the time. The file system quota files must be present in the root directory of the specified file system and be named quotas. A typical sequence of actions for a filesystem `/user' might be as follows:

# touch /user/quotas
# edquota fred
# edquota mary
# quotacheck /user
# quotaon /user

It is necessary to run the quotacheck command to ensure that current disk usage is taken into account and used to update the disk quota file for the filesystem.

DESCRIPTION OF QUOTAOFF

quotaoff announces to the system that file systems specified should have any disk quotas turned off.

OPTIONS TO QUOTAON

-a  All file systems in /etc/fstab marked read-write with quotas will have their quotas turned on. This is normally used at boot time to enable quotas.

-v  Display a message for each file system where quotas are turned on.

OPTIONS TO QUOTAOFF

-a  Force all file systems in /etc/fstab to have their quotas disabled.

-v  Display a message for each file system affected.

These commands update the status field of devices located in /etc/mtab to indicate when quotas are on or off for each file system.

FILES
quotas
    quota file at the file system root
/etc/mtab
    mounted file systems
/etc/fstab
    default file systems

SEE ALSO
quota(1), edquota(8), quotacheck(8), quotactl(2), fstab(5), mtab(5)